curl --request GET \
--url https://api.totoy.ai/v1/sources/{source_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.totoy.ai/v1/sources/{source_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.totoy.ai/v1/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source_id": "src_oXiYDg8QOc9JsOk86idRXiywD",
"source_type": "document",
"bytes": 1234567,
"created_at": "2024-03-01T00:00:00Z",
"updated_at": "2024-03-01T00:00:00Z",
"title": "Totoy Company Overview",
"document_file_name": "totoy-company-overview.pdf",
"backlink": "https://www.totoy.ai/totoy-company-overview.pdf",
"valid_from": "2024-01-01T00:00:00Z",
"valid_until": "2026-12-31T23:59:59Z",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9",
"custom_metadata": {
"internal_tag": "general_documents"
},
"knowledge_base_ids": [
"kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"kb_2eMfJbeqbAEj4u8K5HqmKpUbY"
],
"status": "completed",
"pages": 27
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}Retrieves a Source.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for a Source that was uploaded to Totoy.
29^src_[a-zA-Z0-9]{25}$Response
OK
The Source object represents a document source (.pdf, .jpg, .png) or text source (plain-text) that has been uploaded to Totoy.
Unique identifier for the Source.
29^src_[a-zA-Z0-9]{25}$"src_oXiYDg8QOc9JsOk86idRXiywD"
Type for this source (document or text).
document, text "document"
Size of the document file or text, in bytes.
1234567
Date-time for when the Source was created, in ISO 8601 format.
"2024-03-01T00:00:00Z"
Date-time for when the Source was last modified, in ISO 8601 format.
"2024-03-01T00:00:00Z"
The unique identifier of the project this Source is assigned to. Sources can only be used by resources with the same project_id.
28^pj_[a-zA-Z0-9]{25}$"pj_avX7imfLaPcQnv5ckvGlOEBA9"
Title of the document or text.
512"Totoy Company Overview"
The file name of a Source document.
255"totoy-company-overview.pdf"
An external url to the Source that can be used by clients to link back to the original document or text (i.e. a web page containing that text).
512"https://www.totoy.ai/totoy-company-overview.pdf"
From what time the Source can be used by a Knowledge Base or an Explanation. If no valid_from is set, the Source is valid from the time it is added to Sources.
"2024-01-01T00:00:00Z"
Until when the Source can be used by a Knowledge Base or an Explanation. If no valid_until is set, the Source is valid until it is removed from Sources.
"2026-12-31T23:59:59Z"
Custom optional metadata for a Source provided by a client. Up to 10 key-value pairs.
{ "internal_tag": "general_documents" }
List of Knowledge Base identifiers where this Source is used.
150029^kb_[a-zA-Z0-9]{25}$[
"kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"kb_7eMfJbeqbAEj4u8K5HqmKpUbY"
]
The parsing status of the Document Source. The status completed indicates that the source is ready for use. The status parameter is only available for Document Sources.
in_progress, completed, failed "in_progress"
The number of pages of the Document Source. The pages parameter is only available for Document Sources.
27